import javax.swing.*;
import java.awt.*;

import edu.truman.cs260.matthews.TrippyEllipses;

public class SimpleGeometricShapes {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		JFrame frame = new JFrame();
		Icon ellipseThingy = new TrippyEllipses(100, 100, 500);
		JLabel label = new JLabel(ellipseThingy);
		/* The label executes its repaint() method before the constructor
		 * returns, so once we add the label to the frame, the Icon will be
		 * painted. However, if you want to redraw the label (and thus the Icon)
		 * later, you need to explicitly call the repaint() method:
		 * 
		 *   label.repaint();
		 */
		
		frame.add(label);

		frame.setLayout(new FlowLayout());

		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.pack();
		frame.setVisible(true);

	}

}

